## org.eclipse.m2m.atl.engine.emfvm.lib
Class AbstractStackFrame.StackSequence

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<AbstractStackFrame>
                  org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame.StackSequence

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<AbstractStackFrame>, java.util.Collection<AbstractStackFrame>, java.util.List<AbstractStackFrame>, java.util.RandomAccess

Enclosing class:
  AbstractStackFrame

    public class AbstractStackFrame.StackSequence

extends java.util.ArrayList<AbstractStackFrame>

A Sequence of `AbstractStackFrame`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`AbstractStackFrame.StackSequence()`

Method Summary
`AbstractStackFrame` `at(int index)` Returns the stack frame at the given index.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### AbstractStackFrame.StackSequence

    public AbstractStackFrame.StackSequence()

Method Detail

### at

    public AbstractStackFrame at(int index)

  Returns the stack frame at the given index.

  Parameters:
    `index` - the index
  Returns:
    the stack frame

Copyright 2007 IBM Corporation and others. All Rights Reserved.